include_guard(GLOBAL)

# Пропуск целей, которые создаются автоматически в `CMAKE_BINARY_DIR`
macro(myx_skip_external_target NAME)
  get_target_property(__source_dir ${NAME} SOURCE_DIR)
  string(FIND ${__source_dir} ${CMAKE_BINARY_DIR} __pos)
  if(__pos EQUAL 0)
    unset(__pos)
    unset(__source_dir)
    return()
  endif()
  unset(__pos)
  unset(__source_dir)
endmacro(myx_skip_external_target NAME)
